aboutsummaryrefslogtreecommitdiffstats
path: root/update.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xupdate.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/update.sh b/update.sh
index 1a9656fa..7f583808 100755
--- a/update.sh
+++ b/update.sh
@@ -16,11 +16,15 @@ __update_sh_run() {
printf "\033[35;1m> \033[0m\033[35;1m%s\033[0m\n" "Running '$(basename "$__update_sh_command") $*' .."
- "$__update_sh_command" "$@"
+ if ! "$__update_sh_command" "$@"; then
+ printf "ERROR: Command failed ('%s')\n" "$__update_sh_command"
+ exit 1
+ fi
unset __update_sh_command
}
+__update_sh_run unflake.sh --backend=npins
__update_sh_run npins update
__update_sh_run ./pkgs/update_pkgs.sh "$@"